package com.jjt.task;

import com.jjt.JjtApplication;
import com.jjt.biz.service.IApiService;
import com.jjt.calc.service.ITwinCalcDayService;
import com.jjt.calc.service.ITwinCalcHourService;
import com.jjt.common.utils.DateUtils;
import com.jjt.emp.service.ITwinEmpCalcService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * DataProcess$
 *
 * @author wukai
 * @date 2024/5/7 11:49
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class TaskTest {
    @Resource
    private IApiService apiService;

    @Resource
    private ITwinCalcHourService calcHourService;
    @Resource
    private ITwinCalcDayService dayService;
    @Resource
    private ITwinEmpCalcService empCalcService;

    @Test
    public void curr() {
        apiService.curr();
    }


    @Test
    public void last() {

        String date = "2025-02-12";
        LocalDate localDate = LocalDate.parse(date);
        dayService.day(localDate);
        empCalcService.calc(DateUtils.toDate(localDate));
//        LocalDateTime ldt = LocalDateTime.of(localDate, LocalTime.MIN);
//        for (int i = 0; i < 2; i++) {
//            LocalDateTime tt = ldt.plusHours(i);
//            System.err.println(tt.toLocalDate().toString() + tt.getHour());
//            calcHourService.calc(tt.toLocalDate().toString(), tt.getHour());
//        }

//        calcHourService.calc("2025-02-12", 1);

//        calcHourService.last();
    }
}

