package com.jjt.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 周曲线
 *
 * @author wukai
 * @date 2024/5/8 15:50
 */
@ApiModel(value = "FormulaTotal", description = "配方-统计数据")
@Data
public class FormulaTotal {
    @ApiModelProperty("毛高")
    private Float height;
    @ApiModelProperty("数量")
    private Integer num;
    @ApiModelProperty("占比")
    private Float percent;

}
